CVE-2006-1888
CVSS6.8
发布时间 :2006-04-20 06:02:00
修订时间 :2011-08-10 00:00:00
NMCO    

[原文]phpGraphy 0.9.11 and earlier allows remote attackers to bypass authentication and gain administrator privileges via a direct request to index.php with the editwelcome parameter set to 1, which can then be used to modify the main page to inject arbitrary HTML and web script. NOTE: XSS attacks are resultant from this issue, since normal functionality allows the admin to modify pages.


[CNNVD]PHPGraphy Index.PHP 未授权访问漏洞 (CNNVD-200604-350)

        phpGraphy 0.9.11及早期版本允许远程攻击者借助于对index.php(其editwelcome参数设置为1)的直接请求绕过认证和获取管理员权限。这样就可以修改main页面,从而注入任意HTML和web脚本。注:跨站脚本攻击是由此问题引起的,因为正常的功能允许管理员修改页面。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-264 [权限、特权与访问控制]

- CPE (受影响的平台与产品)

cpe:/a:phpgraphy:phpgraphy:0.9.9a
cpe:/a:phpgraphy:phpgraphy:0.9.11
cpe:/a:phpgraphy:phpgraphy:0.9.10

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1888
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1888
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-350
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/17567
(PATCH)  BID  17567
http://secunia.com/advisories/19705
(VENDOR_ADVISORY)  SECUNIA  19705
http://xforce.iss.net/xforce/xfdb/25892
(UNKNOWN)  XF  phpgraphy-index-xss(25892)
http://www.vupen.com/english/advisories/2006/1379
(VENDOR_ADVISORY)  VUPEN  ADV-2006-1379
http://www.securityfocus.com/archive/1/archive/1/431268/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060418 Re: - PHPGraphy <= 0.9.11
http://www.securityfocus.com/archive/1/archive/1/431128/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060417 - PHPGraphy <= 0.9.11
http://securitytracker.com/id?1015971
(UNKNOWN)  SECTRACK  1015971
http://securityreason.com/securityalert/733
(UNKNOWN)  SREASON  733
http://retrogod.altervista.org/phpgraphy_0911_adv.html
(UNKNOWN)  MISC  http://retrogod.altervista.org/phpgraphy_0911_adv.html

- 漏洞信息

PHPGraphy Index.PHP 未授权访问漏洞
中危 访问验证错误
2006-04-20 00:00:00 2007-07-03 00:00:00
远程  
        phpGraphy 0.9.11及早期版本允许远程攻击者借助于对index.php(其editwelcome参数设置为1)的直接请求绕过认证和获取管理员权限。这样就可以修改main页面,从而注入任意HTML和web脚本。注:跨站脚本攻击是由此问题引起的,因为正常的功能允许管理员修改页面。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        phpGraphy phpGraphy 0.9 .11
        phpGraphy phpgraphy-0.9.12.tar.gz
        http://prdownloads.sourceforge.net/phpgraphy/phpgraphy-0.9.12.tar.gz
        phpGraphy phpGraphy 0.9 .10
        phpGraphy phpgraphy-0.9.12.tar.gz
        http://prdownloads.sourceforge.net/phpgraphy/phpgraphy-0.9.12.tar.gz
        phpGraphy phpGraphy 0.9.12 rc1
        phpGraphy phpgraphy-0.9.12.tar.gz
        http://prdownloads.sourceforge.net/phpgraphy/phpgraphy-0.9.12.tar.gz
        phpGraphy phpGraphy 0.9.9 a
        phpGraphy phpgraphy-0.9.12.tar.gz
        http://prdownloads.sourceforge.net/phpgraphy/phpgraphy-0.9.12.tar.gz
        

- 漏洞信息

24712
phpGraphy index.php editwelcome Variable Authentication Bypass
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-04-17 Unknow
2006-04-17 Unknow

- 解决方案

Upgrade to version 0.9.12 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站